Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-django-pylibmc
%global git_date    20120609
%global git_version 28874f
%global pkgname django-pylibmc

Name:           python-module-django-pylibmc
Version:        0.2.3
Release:        alt1_4.%{git_date}git%{git_version}
Summary:        Django module to use pylibmc for cache backend

License:        BSD
URL:            http://github.com/jbalogh/django-pylibmc

# git clone https://github.com/jbalogh/django-pylibmc python-django-pylibmc
# cd python-django-pylibmc
# git archive --format=tar HEAD | xz  > {name}-{version}.{git_date}git{git_version}.tar.xz
Source0:        %{oldname}-%{version}.%{git_date}git%{git_version}.tar.xz
        
BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-module-setuptools
BuildRequires:  python-module-pylibmc
BuildRequires: python-module-django python-module-django-dbbackend-mysql python-module-django-dbbackend-psycopg2 python-module-django-dbbackend-sqlite3 python-module-django-mod_python

Provides:       %{pkgname} = %{version}-%{release}
Obsoletes:      %{pkgname} < 0.2.3-1.20120609git28874f
Source44: import.info

%description
Django-pylibmc package provides a memcached cache backend for 
Django using pylibmc. You want to use pylibmc because it's fast.

%prep
%setup -n %{oldname}-%{version} -q -cn %{oldname}


%build
%{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

 
%files
%doc LICENSE README.rst
%{python_sitelibdir_noarch}/*.egg-info/
%{python_sitelibdir_noarch}/django_pylibmc/



%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.2.3-alt1_4.20120609git28874f
- update to new release by fcimport

* Tue Jan 01 2013 Igor Vlasenko <viy@altlinux.ru> 0.2.3-alt1_3.20120609git28874f
- initial fc import

